public class SerialResistor implements Resistor {

    private Resistor res1, res2;

    public SerialResistor(Resistor res1, Resistor res2) {
        this.res1 = res1;
        this.res2 = res2;
    }

    public double getResistance() {
        return res1.getResistance() + res2.getResistance();
    }

    public int nrOfComponents() {
        return res1.nrOfComponents() + res2.nrOfComponents();
    }

}
