public class Task1 {

	/* The right answer is 0 1.
	 * 
	 * - Here in the main we initialize n to zero. After
	 * that we pass n as argument to p but this only creates
	 * a copy of the value zero. This means that the assignment
	 * for n in the body of p only changes the copy and not
	 * the original value of n in the main method. This means
	 * that n is still zero when we do the printing.
	 * 
	 * - The Counter is a reference (object) type. This means
	 * that when we pass c as an argument to p, we copy only the
	 * reference to the object. When we do the assignment for c
	 * in the p method this changes the reference to point to
	 * another object but this doesn't change the value of the
	 * variable c in the main method. This means that when we
	 * print we still call getValue from the original object
	 * created in main, i.e. we print one.
	 */

    public static void p(int n, Counter c) {
        n = c.getValue();
        c = new Counter();
    }

    public static void main(String[] args) {
        Counter c = new Counter();
        int n = 0;
        c.incr();
        p(n,c);
        System.out.println(n + " " + c.getValue());
    }
}
