import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class HangManView extends JPanel {
  
  private HangManModel model;
  private JTextField guessField;
  private HangManPanel panel;

  
  public HangManView(HangManModel model) {
    this.model = model;
    panel = new HangManPanel(model);
    guessField = new JTextField(25);
    setLayout(new BorderLayout());
    add(panel,BorderLayout.CENTER);
    add(guessField,BorderLayout.SOUTH);
    guessField.addActionListener(new TextListener());
  }


  private class TextListener implements ActionListener {
    public void actionPerformed(ActionEvent e) {
      String g = guessField.getText();
      model.guess(g.charAt(g.length()-1));
      repaint();
    }
  }
}
