public class HangManModel {

    private String secret;
    private char [] word; // partial solution
    private int errors; // nr of errors

    public HangManModel(String secret) {
	this.secret = secret;
	word = new char [secret.length()];
        for (int i=0; i< word.length; i++)
            word[i] = '-';
    }

    public void guess(char c) {
	boolean right = false;
	for(int i=0; i < word.length; i++) 
	    if (secret.charAt(i)==c) {
		word[i] = c;
		right = true;
	    }
	if(!right) errors++;
    }

    public String showWord() {
        // create a String from an array of chars
	return new String(word);
    }

    public int getErrorCount() {
	return errors;
    }
}

