import java.io.*;
import java.util.*;
import javax.swing.*;

public class Main {

    public static String chooseSecret(String file) throws IOException {
	Scanner in = new Scanner(new File(file));
        String[] words = new String[1000];
        int count = 0;
        while (count<1000 & in.hasNext()) {
            words[count] = in.next();
            count++;
        }
        return words[(int)(Math.random()*count)];
    }

    public static void main(String [] args) throws IOException {
        String secret = chooseSecret(args[0]);
	HangManModel model = new HangManModel(secret);
	HangManView view = new HangManView(model);
        JFrame f = new JFrame("Hangman");
        f.add(view);
        f.pack();
	f.setVisible(true);
    }
}
